Which Osmo apps are compatible with the Amazon Fire HD 8 (10th Generation)?

The Amazon Fire HD 8, 10th Generation (released in 2020) requires the use of the Osmo Reflector Adapter and the Osmo Base for Fire.

If you are unsure which Fire tablet you have, you can find out by going to:
Settings > Device Options.

Most Osmo apps are compatible with this device. The games that are not currently compatible may become so in the future, but we don't have a timeline for that yet.

The Osmo apps that are NOT currently compatible with the Amazon Fire HD 8 (10th Generation) are:

  1. Cooking Chaos
  2. Kaleidoscope
  3. MindRacers
  4. Numbers Toybox
  5. Super Studio Disney Mickey Mouse & Friends
  6. Super Studio Disney*Pixar Incredibles 2
  7. Words Chomp
  8. Words Explorers
Can’t find your answer in our support center? Contact us directly.